%{?mingw_package_header}

%global pkgname tesseract
%global pre rc1

Name:          mingw-%{pkgname}
Version:       3.03
Release:       0.2.rc1%{?dist}
Summary:       MinGW Windows tesseract-ocr library

License:       ASL 2.0
BuildArch:     noarch
URL:           http://code.google.com/p/tesseract-ocr/
# The downloads are now posted on google-drive which has impossible download URLS...
# The url of the drive is
#     https://drive.google.com/folderview?id=0B7l10Bj_LprhQnpSRkpGMGV2eE0
Source0:       tesseract-%{version}%{?pre:-%pre}.tar.gz
# Use pkg-config to find leptonica
Patch0:        tesseract_leptonica.patch
# Loss of precision in reinterpret_cast
Patch1:        tesseract-ocr_precision.patch
# Fix bad includedir and case sensitivity issue in header name
Patch2:        tesseract_includes.patch

# Needed for Patch1
BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-leptonica

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-binutils
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-leptonica


%description
MinGW Windows tesseract-ocr library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows tesseract-ocr library

%description -n mingw32-%{pkgname}
MinGW Windows tesseract-ocr library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows tesseract-ocr library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows tesseract-ocr library.


%package -n mingw32-%{pkgname}-tools
Summary:       MinGW Windows tesseract-ocr library tools
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
MinGW Windows tesseract-ocr library tools.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows tesseract-ocr library

%description -n mingw64-%{pkgname}
MinGW Windows tesseract-ocr library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows tesseract-ocr library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows tesseract-ocr library.


%package -n mingw64-%{pkgname}-tools
Summary:       MinGW Windows tesseract-ocr library tools
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
MinGW Windows tesseract-ocr library tools.


%{?mingw_debug_package}


%prep
%setup -q -n tesseract-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
# Needed for Patch1
autoreconf -i
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete man files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}


%files -n mingw32-%{pkgname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{mingw32_bindir}/libtesseract-3.dll
%{mingw32_includedir}/tesseract/
%{mingw32_libdir}/libtesseract.dll.a
%{mingw32_libdir}/pkgconfig/tesseract.pc
%{mingw32_datadir}/tessdata/

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libtesseract.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{mingw64_bindir}/libtesseract-3.dll
%{mingw64_includedir}/tesseract/
%{mingw64_libdir}/libtesseract.dll.a
%{mingw64_libdir}/pkgconfig/tesseract.pc
%{mingw64_datadir}/tessdata/

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libtesseract.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 04 2014 Sandro Mani <manisandro@gmail.com> - 3.03-0.1.rc1
- Update to 3.03-rc1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.02.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.02.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-3
- Fix Source0 URL

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-1
- Initial Fedora package
